Package org.eclipse.swt.events

# Interface MouseTrackListener

All Known Implementing Classes:
  `MouseTrackAdapter`

public interface MouseTrackListener
Classes which implement this interface provide methods that deal with the events that are generated as the mouse pointer passes (or hovers) over controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseTrackListener` method and removed using the `removeMouseTrackListener` method. When the mouse pointer passes into or out of the area of the screen covered by a control or pauses while over a control, the appropriate method will be invoked.

Since:
  1.3
See Also:
  - `MouseTrackAdapter`
  - `MouseEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseEnter(MouseEvent e)`
Sent when the mouse pointer passes into the area of the screen covered by a control.
`static MouseTrackListener`
`mouseEnterAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `mouseEnter(MouseEvent e)`) method, given a lambda expression or a method reference.
`void`
`mouseExit(MouseEvent e)`
Sent when the mouse pointer passes out of the area of the screen covered by a control.
`static MouseTrackListener`
`mouseExitAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `mouseExit(MouseEvent e)`) method, given a lambda expression or a method reference.
`void`
`mouseHover(MouseEvent e)`
Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.
`static MouseTrackListener`
`mouseHoverAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseTrackListener` for the `mouseHover(MouseEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### mouseEnter

void mouseEnter(MouseEvent e)
Sent when the mouse pointer passes into the area of the screen covered by a control.

Parameters:
  `e` - an event containing information about the mouse enter

### mouseExit

void mouseExit(MouseEvent e)
Sent when the mouse pointer passes out of the area of the screen covered by a control.

Parameters:
  `e` - an event containing information about the mouse exit

### mouseHover

void mouseHover(MouseEvent e)
Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

Parameters:
  `e` - an event containing information about the hover

### mouseEnterAdapter

static MouseTrackListener mouseEnterAdapter(Consumer<MouseEvent> c)
Static helper method to create a `MouseTrackListener` for the `mouseEnter(MouseEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseTrackListener
Since:
  4.1

### mouseExitAdapter

static MouseTrackListener mouseExitAdapter(Consumer<MouseEvent> c)
Static helper method to create a `MouseTrackListener` for the `mouseExit(MouseEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseTrackListener
Since:
  4.1

### mouseHoverAdapter

static MouseTrackListener mouseHoverAdapter(Consumer<MouseEvent> c)
Static helper method to create a `MouseTrackListener` for the `mouseHover(MouseEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  MouseTrackListener
Since:
  4.1